local FE = ...

for key,value in pairs(FCconfig["profile"]["buildings"]) do
	if (FCconfig["profile"]["buildings"][key]["buildingParts"]~= nil) then
		for key,value in pairs(FCconfig["profile"]["buildings"][key]["buildingParts"]) do
			if value["desirability"]~=nil then
			if value["desirability"]["radius"] ~= "default" then			
				FE:override({
					Id = key,
					DesirabilityModifiers = {
						{
							Desirability = "DESIRABILITY_RESIDENTIAL",
							Type = value["desirability"]["type"],
							Radius = value["desirability"]["radius"],
							Value = value["desirability"]["value"]
						}
					}
				})
			end
			end
			if value["splendor"]["kingdom"] > 0 then
				FE:override({
					Id = key,
					EstateSplendor = {Action = "APPEND",
						{Estate = "KINGDOM", Quantity = value["splendor"]["kingdom"]}
					}
				})
			end
			if value["splendor"]["clergy"] > 0 then
				FE:override({
					Id = key,
					EstateSplendor = {Action = "APPEND",
						{Estate = "CLERGY", Quantity = value["splendor"]["clergy"]}
					}
				})
			end
			if value["splendor"]["labour"] > 0 then
				FE:override({
					Id = key,
					EstateSplendor = {Action = "APPEND",
						{Estate = "LABOUR", Quantity = value["splendor"]["labour"]}
					}
				})
			end
		end
	end
end