local FE = ...

FE:register({
	DataType = "BUILDING_PART",
	Id = "BERRY_PART",
	Name = "BERRY_PART_NAME",
	Description = "BERRY_PART_DESC",
	Category = "RESOURCE_NODE",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {DataType = "BUILDING_CONSTRUCTOR_DEFAULT",CoreObjectPrefab = "PREFAB_RESOURCE_BERRIES"},
})

FE:register({
	DataType = "BUILDING_PART",
	Id = "RESOURCE_ROOT_PART",
	Name = "BERRY_PART_NAME",
	Description = "BERRY_PART_DESC",
	Category = "RESOURCE_NODE",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {DataType = "BUILDING_CONSTRUCTOR_DEFAULT",CoreObjectPrefab = "PREFAB_RESOURCE_BERRIES"},
	IsVisibleWhenBuilt = false
})

FE:register({
	DataType = "BUILDING_PART",
	Id = "ROCK_PART",
	Name = "ROCK_PART_NAME",
	Description = "ROCK_PART_DESC",
	Category = "RESOURCE_NODE",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {DataType = "BUILDING_CONSTRUCTOR_DEFAULT",CoreObjectPrefab = "PREFAB_RESOURCE_ROCK"},
})

FE:register({
	DataType = "BUILDING_PART",
	Id = "FISH_PART",
	Name = "FISH_PART_NAME",
	Description = "FISH_PART_DESC",
	Category = "RESOURCE_NODE",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {DataType = "BUILDING_CONSTRUCTOR_DEFAULT",CoreObjectPrefab = "PREFAB_RESOURCE_FISH"},
})

FE:register({
	DataType = "BUILDING",
	Id = "FE_MONUMENT_RESOURCE_NODES",
	Name = "FE_MONUMENT_NAME",
	Description = "FE_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	IsManuallyUnlocked = true,
	IsHidden = true,
	AssetCoreBuildingPart = "RESOURCE_ROOT_PART",
	BuildingPartSetList = {
		{Name = "FE_RESOURCE_NODES_NAME", BuildingPartList = {"BERRY_PART","ROCK_PART","FISH_PART"}}
	}
})